Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class TokenMgrError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              org.apache.commons.jexl2.parser.TokenMgrError

All Implemented Interfaces:
  Serializable

    public class TokenMgrError

extends Error

Token Manager Error.

See Also:
  Serialized Form

Field Summary
`static int` | `INVALID_LEXICAL_STATE` Tried to change to an invalid lexical state.
`static int` | `LEXICAL_ERROR` Lexical error occurred.
`static int` | `LOOP_DETECTED` Detected (and bailed out of) an infinite loop in the token manager.
`static int` | `STATIC_LEXER_ERROR` An attempt was made to create a second instance of a static token manager.

Constructor Summary
`TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar, int reason)` Full Constructor.
`TokenMgrError(String message, int reason)` Constructor with message and reason.

Method Summary
`String` | `getAfter()` Gets the last correct input.
`int` | `getColumn()` Gets the column number.
`int` | `getErrorCode()` Gets the reason why the exception is thrown.
`int` | `getLine()` Gets the line number.
`String` | `getMessage()` Returns a detailed message for the Error when it is thrown by the token manager to indicate a lexical error.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LEXICAL_ERROR

    public static final int LEXICAL_ERROR

  Lexical error occurred.

  See Also:
    Constant Field Values

### STATIC_LEXER_ERROR

    public static final int STATIC_LEXER_ERROR

  An attempt was made to create a second instance of a static token manager.

  See Also:
    Constant Field Values

### INVALID_LEXICAL_STATE

    public static final int INVALID_LEXICAL_STATE

  Tried to change to an invalid lexical state.

  See Also:
    Constant Field Values

### LOOP_DETECTED

    public static final int LOOP_DETECTED

  Detected (and bailed out of) an infinite loop in the token manager.

  See Also:
    Constant Field Values

Constructor Detail

### TokenMgrError

    public TokenMgrError(String message,
                         int reason)

  Constructor with message and reason.

### TokenMgrError

    public TokenMgrError(boolean EOFSeen,
                         int lexState,
                         int errorLine,
                         int errorColumn,
                         String errorAfter,
                         char curChar,
                         int reason)

  Full Constructor.

Method Detail

### getErrorCode

    public int getErrorCode()

  Gets the reason why the exception is thrown.

  Returns:
    one of the 4 lexical error codes

### getLine

    public int getLine()

  Gets the line number.

  Returns:
    line number.

### getColumn

    public int getColumn()

  Gets the column number.

  Returns:
    the column.

### getAfter

    public String getAfter()

  Gets the last correct input.

  Returns:
    the string after which the error occured

### getMessage

    public String getMessage()

  Returns a detailed message for the Error when it is thrown by the token manager to indicate a lexical error.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.